Debian DSA-4722-1 : ffmpeg - security update

Critical Nessus Plugin ID 138365

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote Debian host is missing a security-related update.

Description

Several vulnerabilities have been discovered in the FFmpeg multimedia framework, which could result in denial of service or potentially the execution of arbitrary code if malformed files/streams are processed.

Solution

Upgrade the ffmpeg packages.

For the stable distribution (buster), these problems have been fixed in version 7:4.1.6-1~deb10u1.

See Also

https://security-tracker.debian.org/tracker/source-package/ffmpeg

https://packages.debian.org/source/buster/ffmpeg

https://www.debian.org/security/2020/dsa-4722

Plugin Details

Severity: Critical

ID: 138365

File Name: debian_DSA-4722.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/07/10

Updated: 2020/07/14

Dependencies: 12634

Risk Information

Risk Factor: Critical

VPR Score: 5.9

CVSS v2.0

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:ffmpeg, cpe:/o:debian:debian_linux:10.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/07/08

Vulnerability Publication Date: 2019/07/07

Reference Information

CVE: CVE-2019-13390, CVE-2019-17539, CVE-2019-17542, CVE-2020-12284, CVE-2020-13904

DSA: 4722